Type to search.

Enable the history snapshot task

Base URL
https://{kibana_url}
  • PUT /api/security/entity_store/history_snapshot/enable
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Planned We plan to add this functionality in a future Elastic Stack update. Subject to changes. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Enable the Entity Store history snapshot task for this space. After a successful enable, Kibana schedules an immediate snapshot run. If that immediate run fails, the response is still 200 and the task remains enabled for the next scheduled interval. If the task is already enabled, the request succeeds and does not start an extra run. Returns 404 if the Entity Store is not installed in the current space.

Required privileges

Privileges securitySolution

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Responses

200

Indicates a successful response.

application/json
404

Entity store is not installed.

application/json